$('.delete').click(function (e){
    e.preventDefault();
    var url = $(this).attr('href');

    swal({
        title: "Você tem certeza?",
        text: "Uma vez deletado, esse registro não poderá ser recuperado!",
        icon: "warning",
        buttons: ["Cancelar", "OK"],
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {
            $.ajax({
                type: "POST",
                url: url,
                success: function (response) {
                    swal({
                        title: "Perfeito",
                        text:  "Deletado com sucesso!",
                        icon: "success",
                        button: "OK",
                      }).then((confirmed) => {
                        setTimeout(function() {
                          // Do something after 5 seconds
                          location.reload();//reload page
                        }, 2000);
                      })
                },
                error: function (response) {
                    swal({
                        title: "Ops!",
                        text:  "Algo deu errado. Tente novamente!",
                        icon: "error",
                        button: "OK",
                      }).then((confirmed) => {
                      })
                }
            })
        } else {
          swal("Operação cancelada!");
        }
      });

})

